%define rname qt
%define name qt2
%define KDEDATE 20001006
%define version 2.2.1
%define release 3mdk
%define url http://www.trolltech.com/products/qt.html
%define prefix /usr

Summary: Shared library for the Qt2 GUI toolkit
Name: %{name}
Version: %{version}
Release: %{release}
#Source0: ftp://ftp.troll.no/qt/sources/qt-copy-%{KDEDATE}-src.tar.bz2
#Source1: ftp://ftp.troll.no/qt/sources/qt-copy-gl.tar.bz2
Source0: ftp://ftp.troll.no/qt/source/qt-x11-%{version}.tar.bz2
Patch0: qpsprinter.cpp.diff
Copyright: GPL
Group: System/Libraries
URL: %{url}
BuildRoot: %{_tmppath}/%{name}-buildroot
# Is it true that this is not relocatable ?? I'm not sure ..
#Prefix: %{_prefix}

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

========================================================
This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.

#
%package devel
Summary: Header files and libraries for developing apps which will use Qt2.
Group: Development/KDE and QT
URL: %{url}
Requires: %{name}

%description devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

================================================================
This package contains the files necessary to develop applications See
http://www.troll.no for more information about Qt.

#
%package doc
Summary: Document for developing apps which will use Qt2.
Group: Development/KDE and QT
URL: %{url}
## This builds all packages with noarch ??
##BuildArchitectures: noarch

%description doc
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

========================================================
This package contains documentation and example programs. See
http://www.troll.no for more information about Qt.


%prep
%setup -q -n qt-%{version}
#%setup -q -n qt-copy
%patch0 -p0

%build
export QTDIR=$(/bin/pwd)
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -frtti -fno-exceptions"

#make -f Makefile.cvs

#MAKETARGET="" # we don't want to build tutorial and examples
#make symlinks
echo "yes"|./configure -sm -gif -system-jpeg #-debug
uname -a |grep -iq smp && {
make -j 2 SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" SYSCONF_CFLAGS="$RPM_OPT_FLAGS" symlinks sub-src sub-tools
} || make SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" SYSCONF_CFLAGS="$RPM_OPT_FLAGS" symlinks sub-src sub-tools

#./configure -release -thread -static -gif -sm -system-zlib -system-libpng -system-jpeg
#uname -a |grep -iq smp && {
#make -j 2 SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" SYSCONF_CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" src
#} || make SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" SYSCONF_CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" src

#(
#cd extensions/opengl/src
#make
#)

%install
rm -rf $RPM_BUILD_ROOT

(
cd tutorial
make clean
cd examples
make clean
)

OUTQTDIR=$RPM_BUILD_ROOT/%{prefix}/lib/qt2
mkdir -p $OUTQTDIR/bin $OUTQTDIR/lib $OUTQTDIR/include $RPM_BUILD_ROOT/%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
#
install -m755 bin/moc $OUTQTDIR/bin/
install -m755 bin/designer $RPM_BUILD_ROOT%{prefix}/bin/
install -m755 bin/uic $RPM_BUILD_ROOT%{prefix}/bin/
install -m755 bin/findtr $OUTQTDIR/bin/

for i in bin/{findtr,qt20fix,qtrename140};do
    install -m755 $i $OUTQTDIR/bin/
done

#
install -m755 lib/libqt.so.2.2.1 $OUTQTDIR/lib/
#install -m644 lib/libqt.a $OUTQTDIR/lib/
install -m755 lib/libqutil.so.1.0.0 $OUTQTDIR/lib/
#install -m644 lib/libqgl.a $OUTQTDIR/lib/

# Removed by Takika, symlink is correct
#install -m755 lib/libqt.so.2 $RPM_BUILD_ROOT/%{prefix}/lib/
ln -s qt2/lib/libqt.so.2.2.1 $RPM_BUILD_ROOT/%{prefix}/lib/libqt.so.2.2.1
ln -s qt2/lib/libqutil.so.1.0.0 $RPM_BUILD_ROOT/%{prefix}/lib/libqutil.so.1.0.0

(
    cd $OUTQTDIR/lib
	ln -s libqt.so.2.2.1 libqt.so.2
    ln -s libqt.so.2.2.1 libqt.so
    ln -s libqt.so.2.2.1 libqt.so.2.2
    ln -s libqt.so.2.2.1 libqt2.so
)
(
    cd $RPM_BUILD_ROOT/%{prefix}/lib
	ln -s libqt.so.2.2.1 libqt.so.2
	ln -s libqt.so.2.2.1 libqt2.so
	ln -s libqt.so.2.2.1 libqt2.so.2.2
	ln -s libqutil.so.1.0.0 libqutil.so.1
)


#
cp -fR include/. $OUTQTDIR/include

#
install -d $RPM_BUILD_ROOT/%{prefix}/share/man
cp -arf doc/man/* $RPM_BUILD_ROOT/%{prefix}/share/man

(
    cd $RPM_BUILD_ROOT/%{prefix}/share/man/
    for i in $(find . -name \*.3qt);do
    mv -f $i ${i}22 # using 21 since 2.1 might be a problem
    done
)
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/man/man1
cp src/moc/moc.1 $RPM_BUILD_ROOT/%{prefix}/share/man/man1/moc22 # using 21 since 2.1 might be a problem
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/qt2/tools/designer
cp -af tools/designer $RPM_BUILD_ROOT/%{prefix}/lib/qt2/tools

#Not necessary anymore, says the mdk-rpm howto
#but without it they are not bzipped !
find $RPM_BUILD_ROOT/%{prefix}/share/man/ -type f|xargs bzip2 -9f

#
OUTDOCDIR=$RPM_BUILD_ROOT/%{prefix}/share/doc/qt2-%{version}
OUTDEVELDOCDIR=$RPM_BUILD_ROOT/%{prefix}/share/doc/qt2-devel-%{version}
mkdir -p $OUTDOCDIR
mkdir -p $OUTDEVELDOCDIR

cp -arf examples/ $OUTDEVELDOCDIR
cp -arf tutorial/ $OUTDEVELDOCDIR/tutorial-examples
cp -arf doc/html/ $OUTDEVELDOCDIR/

find $OUTDEVELDOCDIR/{examples,tutorial-examples} -name Makefile| \
xargs perl -pi -e 's|^SYSCONF_MOC.*|SYSCONF_MOC		= /$OUTDEVELDOCDIR/bin/moc|'

#We don't compile them anymore
#we do now
(
    cd $OUTDOCDIR/examples
    find . -type f -perm 755|xargs rm
    make clean
    cd $OUTDOCDIR/tutorial-examples
    make clean
    find . -type f -perm 755|xargs rm
    make clean
)

#
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done


# build some very pedantic symlinks

#mkdir $RPM_BUILD_ROOT%{prefix}/bin
cd $RPM_BUILD_ROOT%{prefix}/bin

for i in qtrename140 findtr qt20fix;do
ln -sf ../lib/qt2/bin/$i $i
done
ln -sf ../lib/qt2/bin/moc moc2


##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/qt2designer
?package(qt2-devel): needs=X11 \
section="Applications/Development/Development environments" \
title="QT Designer" \
command="/usr/bin/designer" \
icon="/usr/lib/qt2/tools/designer/pics/small/qtlogo.png"
EOF


%post 
/sbin/ldconfig
%{update_menus}

%post devel
%{update_menus}
/sbin/ldconfig

%postun 
/sbin/ldconfig
%{update_menus}

%postun devel
%{update_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ANNOUNCE FAQ LICENSE.QPL PLATFORMS README README.QT INSTALL
%{prefix}/lib/qt2/lib/*.so.*
%{prefix}/lib/*.so.*

%files devel
%defattr(-,root,root,0755)
%{prefix}/lib/qt2/bin/*
%{prefix}/lib/qt2/tools/*
%{prefix}/bin/*
%{prefix}/lib/menu/*
%{prefix}/lib/qt2/include/*
#%{prefix}/lib/qt2/lib/*.a
%{prefix}/lib/qt2/lib/*.so
%doc %{prefix}/share/doc/qt2-devel-%{version}/

%files doc
%defattr(-,root,root,0755)
%doc PORTING
%doc %{prefix}/share/doc/qt2-%{version}/
%doc %{prefix}/share/man/man1/moc22*
%doc %{prefix}/share/man/man*/*.3qt22*

%changelog
* Tue Oct 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-3mdk
- Attempting to fix patch so that it builds on it's own (I can not use RCS
  patches that are sent to me).
- Rebuild with no exceptions

* Mon Oct 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-2mdk
- Added patch 0 from David Faure

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-1mdk
- Update to 2.2.1 package

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-4mdk
- Some KDE related patches

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-3mdk
- Some KDE related patches

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-2mdk
- Changed liscense from QPL to GPL

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-1mdk
- Upgraded to final realease version

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.7mdk
- Some KDE related patches

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.6mdk
- Some KDE related patches

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.5mdk
- Some KDE related patches

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.4mdk
- Some KDE related patches

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.3mdk
- Fixed designer templates and support files in devel package.
- Added menu for designer

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.2mdk
-Fixed location of docs                        
-Fixed designer location and location of libs required by designer.

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.1mdk
- Updated to qt2 2.2 beta 1 as required by KDE
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-10mdk
- Some KDE related patches

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-9mdk
- Some KDE related patches

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-8mdk
- This is 2.2beta0
- Updated code patches
- BM

* Tue Jul 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-7mdk
- Updated code patches

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-6mdk
- Updated again some more patches by the kde2 team

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-5mdk
- Updated again some patches for kde2

* Sat Jul 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-4mdk
- Updated some patches for KDE

* Tue Jun 21 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.1.1-3mdk
- be pedantic and add some symlinks to /usr/bin
- fixed long standing unfixed typo
- package is not relocatable (???)
- NOTE: package maintainer remains: molnarc@mandrakesoft.com

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-2mdk
- Updated spec file to save room. New spec file sent by cooker user
- taki@cloud.matav.sulinet.hu
  
* Fri Jun 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-1mdk
- updated to qt2.1.1

* Mon May 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-6mdk
- recompiled with jpeg support needed by kde2

* Sat May  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.0-5mdk
- fixed conflicting files in qt2 and qt2-devel

* Mon Apr 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-4mdk
- changed back to QTDIR being /usr/lib/qt2

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-3mdk
- bowed to a bunch of email complaints and moved the development dir 
  from /usr/lib/qt2/... to /usr/include/qt2/.... QTDIR=/usr/include/qt2

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-2mdk
- Fixed a missing libqt2.so link.

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-1mdk
- Update to release version 2.1.0

* Fri Mar 24 2000 David Faure <david@mandrakesoft.com> 2.1.0-0.3.1mdk

- Upgraded to 2.1 beta 3
- Removed libqimgio2, now part of qt
- Changed installation directories to respect a QTDIR (/usr/lib/qt-2.1.0)
- Allows to keep Qt 2.0 and Qt 1.x around.
- Removed BuildArchitectures hack.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.1-10mdk

- BuildArchitectures only on non-x86.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.1-9mdk

- removed BuildArchitecture

* Sat Oct 23 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Add "alpha" as build architecture (pixel's rebuild)

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add libqgl2.a and libqimgio2.a to make KDE 2.0 happy

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- replace qstrlist.h with a version that works

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- rename /usr/lib/libqt.a to /usr/lib/libqt2.a to avoid conflict with
  qt 1.44
- Add libqt2.so link to libqt.so.2 so we can do -lqt2

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.


# end of file
